/*
 * Copyright (c) 2013, Oracle and/or its affiliates. All rights reserved.
 * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/*
 * $Id: InvalidTextMessageTestImpl.java 69204 2012-12-18 17:43:07Z af70133 $
 */

package com.sun.ts.tests.jms.common;
import javax.jms.*;

public class InvalidTextMessageTestImpl extends MessageTestImpl implements TextMessage {
    private String  text;
    private int integer;
    private java.util.Date date = new java.util.Date();

    public InvalidTextMessageTestImpl() {
        super();
    }

    public InvalidTextMessageTestImpl(String string) {
        super();
        text = string;
    }

    public void setText(String string) throws JMSException {
        text = string;
    }


    public String getText() throws JMSException {
        throw new MessageFormatException("bad text message");
    }
}
